Documentation Index

Fetch the complete documentation index at: https://kb.solargis.com/llms.txt

Use this file to discover all available pages before exploring further.

Get the TMY data

Prev Next
Get
/tmy/data-request/{requestId}

Use this endpoint to retrieve TMY data for your location using the requestId obtained in the previous step.

Request type:

GET

URL:

https://api.solargis.com/tmy/data-request/{requestid}

Authorization:

Bearer {API token}

Prerequisites
  • You must have a live Solargis account with an active TMY Basic or TMY Pro subscription.
  • You must have a requestId See Get the request ID for how to obtain one. 
  • You must generate an API token to authenticate calls to your account. 
Things to know
  • Calls to this endpoint are paid and will deduct credits from your API call allowance.
  • If 1-minute data is included in the request, the request period must be at least 1 year.
  • The API console on the right is connected to the production server. It does not support integration API calls. See Using the API console for instructions .

Response behavior

While data is being prepared, the response returns a "Request is being processed" message. This confirms your request was received successfully. Wait a moment and resubmit the request.

Once data is ready, the response includes a downloadUrl field containing the URL to download your TMY data.

Security
HTTP
Type bearer

Enter your Solargis TMY Bearer token.

Path parameters
requestId
stringRequired

Unique identifier returned by the TMY data request POST endpoint.

Responses
200

TMY request status

object
status
string

Current processing state of the TMY data request.

Valid values[ "queued", "processing", "success", "reject", "error", "expired" ]
Examplesuccess
statusCode
string

Machine-readable code providing additional detail about the request outcome.

Example200
statusMessage
string

Human-readable message describing the request result.

ExampleRequest has been processed.
downloadUrl
string (uri)

Pre-signed URL to download the output TMY data file.

Examplehttps://s3.amazonaws.com/...
401

Invalid authorization

object

Invalid authorization

error
string

Machine-readable error code indicating the authentication failure reason.

Exampletoken.invalid
500

Bad requestId

object
error
string

Machine-readable error code indicating the reason for the failure.

Exampleapi.data_request.not_found